using JetBrains.Annotations;
using UnityEngine;
using VContainer;
using VContainer.Unity;

public class GameLifeTimeScope : LifetimeScope
{
    [SerializeField] private InputReader _inputReader;
    protected override void Configure(IContainerBuilder builder)
    {

        builder.RegisterComponentInHierarchy<PlatformPool>();
        builder.RegisterComponentInHierarchy<Player>();
        builder.RegisterComponentInHierarchy<PlatformManager>();
        builder.RegisterInstance(_inputReader).As<IInputReader>();
    }
}
